Bug 170431 - System halts in the end of the resume process from suspend (apm -s)
System halts in the end of the resume process from suspend (apm -s)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-11 13:11 EDT by Ari Savuoja
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ari Savuoja 2005-10-11 13:11:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fi-FI; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Hardware: Toshiba Portege 7140 with original BIOS (1999) which doesn't support ACPI, but APM runned without problems on fc3.
Now updated to fc4 with all yum-updates (8.10.2005).
Suspend with APM seems to run normally, but the system doesn't resume successfully.
When resume the system by pressing the power button all components get powered even display, but nothing appears on the screen.
Pressing ctrl+alt+F1-7 changes to the selected virtual console. This action "refresses" the screen and the virtual console you have selected shows on the screen. Doing something e.g. with mouse or keyboard halts the system.
If you are in the text mode virtual console, kernel crash messages appears on the screen, but you can't copy them because the system is halted. These messages won't appear in the /var/log/messages.
You've to hard-reset the system to get it running again.
I have resumed few times successfully when put the system automatically suspend after a particular minutes in KLaptop battery monitor. This tested only with kernel-2.6.11-1.1369_FC4.

Version-Release number of selected component (if applicable):
apmd-3.2.2-3, kernel-2.6.11-1.1369_FC4 or newer

How reproducible:
Always

Steps to Reproduce:
1. $ apm -s
2. wait until the system goes suspend
3. resume the system by pressing the power button 
4. all components get powered even display, but nothing appears on the screen
5. pressing ctrl+alt+F1-7 changes the virtual console. This action "refresses" the screen and the virtual console you have selected shows on the screen.
6. doing something e.g. with mouse or keyboard (if in the text console) halts the system. Have to hard-reset the system to get it running again.

Actual Results:  System halts in the end of the resume process from suspend (apm -s)

Expected Results:  System should resume successfully.

Additional info:
Comment 1 Dave Jones 2005-11-10 14:41:35 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Ari Savuoja 2005-11-16 14:09:55 EST
Thank you for the changes in the new kernel (2.6.14-1.1637_FC4).
I have now tested apm -s command with the new kernel, but 
I have NOT noticed any big differences compared to the previous kernel versions. I 
have in my system the latest updates for all my software, also for KDE 3.4.
Apm works approximately once in about 10 times. I have tried to change nearly 
all possible variations of KLaptop configurations, if it might have some 
effects to suspend resume, but I haven't noticed any differences. I have tried
apm -s 
command from text console, from automatic suspend after a certain minutes, I 
have also tried to test it with various software running simultaneously on my 
laptop when using apm -s command. I’ve got no new ideas.
The only clue is that in most of the cases when apm resume process didn't work 
I could resume the display by pressing Ctrl+Alt+F7. All in display looks normal
except the Klaptop-icon which is totally missing! In spite of this the mouse 
works properly and any software which was put down to bar I can click 
normally open, but if I do anything which might need some new data from the 
hard disk, e.g. if I try to start OOwriter, mouse only blinks about 3 seconds 
and then stops to blink without any formation window to user about the 
reason of the error. And also all other software is impossible to use in this 
state. So I suppose the reason to the kernel halting is in its inability to 
get contact to the hard disk. It seems to me that kernel cannot find the hard 
disk any more after the resume process or in the end of the resume process. 
In all (!) of the resume process experiments which I have made to  test the apm
-s command I have heard (!) the hard disk running after resume, but I have NOT
noticed any data reading or writing in hard disk (i.e. there have not been any
hard disk indicator LED blinking!).  Because my hard disk normally does some
automatic reading and writing tasks now and then, I conclude that my resume
processes fails in the cases the apm -s command has executed in a certain ”bad
hard disk state” and the resume manage to survive in the cases the apm -s
command has executed in an other certain ”good hard disk state”. Certain hard
disk state or position is the reason that causes the success of the resume
process sometimes and sometimes not. That is my opinion, but I’m not sure.
Could you in any way make the resume process in all cases contact successfully 
with the hard disk? (In FC3 there was no problems with apm!)
(The reason for resume halting might also be in the connections of kernel with
KDE, because there have been errors with KDE in the cases I have tried in normal
way to shut down the KDE. I have received an error message that Kicker has
crashed and at the same time I can see the KlapTop icon oddly in the top left
corner of the display! I have attached the error message list in the and of my
text.) 

Kicker shut down error message list:
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
`shared object read from target memory' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208449344 (LWP 2748)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#4  0x06a303f9 in _X11TransWrite () from /usr/X11R6/lib/libX11.so.6
#5  0x06a1579b in _XError () from /usr/X11R6/lib/libX11.so.6
#6  0x06a158b6 in _XReply () from /usr/X11R6/lib/libX11.so.6
#7  0x069fe60a in _XGetWindowAttributes () from /usr/X11R6/lib/libX11.so.6
#8  0x069fe764 in XGetWindowAttributes () from /usr/X11R6/lib/libX11.so.6
#9  0x005a64a1 in _XimLocalSetICValues ()
   from /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
#10 0x005a7235 in _XimSetICDefaults ()
   from /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
#11 0x005a72cb in _XimSetICDefaults ()
   from /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
#12 0x005a42db in _XimLocalCreateIC ()
   from /usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2
#13 0x06a2d25a in XCreateIC () from /usr/X11R6/lib/libX11.so.6
#14 0x00e16653 in QXIMInputContext::setHolderWidget ()
   from /usr/lib/qt-3.3/plugins/inputmethods/libqxim.so
#15 0x07bf4d40 in QInputContextFactory::create ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x00ff2ed5 in QMultiInputContext::changeInputMethod ()
   from /usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so
#17 0x00ff3086 in QMultiInputContext::slave ()
   from /usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so
#18 0x00ff3321 in QMultiInputContext::setHolderWidget ()
   from /usr/lib/qt-3.3/plugins/inputmethods/libqimsw-multi.so
#19 0x07bf4d40 in QInputContextFactory::create ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#20 0x079569c6 in QWidget::createInputContext ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0x07956b22 in QWidget::unfocusInputContext ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0x07a3204d in QWidget::clearFocus ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x07a344b0 in QWidget::~QWidget$base ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x07b0a607 in QPopupMenu::~QPopupMenu$base ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x0500691b in KPopupMenu::~KPopupMenu$base () from /usr/lib/libkdeui.so.4
#26 0x05007b63 in KPanelMenu::~KPanelMenu$base () from /usr/lib/libkdeui.so.4
#27 0x00a62eba in PanelServiceMenu::~PanelServiceMenu$base ()
   from /usr/lib/libkdeinit_kicker.so
#28 0x00a62f98 in PanelKMenu::~PanelKMenu$delete ()
   from /usr/lib/libkdeinit_kicker.so
#29 0x00a2a05b in MenuManager::~MenuManager$delete ()
   from /usr/lib/libkdeinit_kicker.so
#30 0x079f86ec in QObject::~QObject$base ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#31 0x07998735 in QApplication::~QApplication$base ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#32 0x04d662a8 in KApplication::~KApplication$base ()
   from /usr/lib/libkdecore.so.4
#33 0x04d66451 in KUniqueApplication::~KUniqueApplication$base ()
   from /usr/lib/libkdecore.so.4
#34 0x00a1c4c9 in Kicker::~Kicker$delete () from /usr/lib/libkdeinit_kicker.so
#35 0x00a35085 in kdemain () from /usr/lib/libkdeinit_kicker.so
#36 0x00b74d5f in __libc_start_main () from /lib/libc.so.6
#37 0x0804854d in ?? ()
Comment 3 Dave Jones 2006-02-03 01:55:20 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 21:45:29 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.